Subject: Re: [PATCH net 1/2] net: hsr: Use the seqnr lock for frames received via interlink port.

From: Lukasz Majewski <[email-masked]>
Date: Wed, 11 Sep 2024 09:54:31 +0200

Hi Jakub,

> On Mon, 9 Sep 2024 11:49:48 +0200 Lukasz Majewski wrote:
> > > +	if (port->type == HSR_PT_INTERLINK) {
> > > +		spin_lock_bh(&hsr->seqnr_lock);    
> > 
> > I'm just wondering if this could have impact on offloaded HSR
> > operation.
> > 
> > I will try to run hsr_redbox.sh test on this patch (with QEMU) and
> > share results.  
> 
> Hi Lukasz, any luck with the testing?

I will reply by EOD

Best regards,

Lukasz Majewski

--

DENX Software Engineering GmbH,      Managing Director: Erika Unter
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: (+49)-8142-66989-59 Fax: (+49)-8142-66989-80 Email: [email-masked]